--魔龙-牛7
--在牛7挂机，回魔龙城买卖的挂机脚本，其中
--回城时可将需要存仓的物品存仓，卖东西，修理装备，
--补药、补卷，然后继续去挂机，此挂机脚本需要配合
--挂机》触发设置使用

local g_hpnum=250  --红药数量
local g_hpname="强效金创药"
local g_mpnum=150  --蓝药数量
local g_mpname="强效魔法药"
local g_hcnum=50   --回城卷数量

function 回城()
	--存
	local bsave=是否需要存()
	if bsave then
		移动到范围2("6",98,157,5)
		等待(1500)
		坐标对话(94,156)
		等待(1500)
		选择("@-1")
		等待(1500)
		存()
	end
	--药店卖所有的东西
	local bsold=是否需要卖()
	if bsold then
		移动到范围2("6",129,148,5)
		等待(1500)
		坐标对话(129,143)
		等待(1500)
		选择("@-1")
		等待(1500)
		卖()
	end
	--修理
	--买红药、蓝药
	local brepair=是否需要修理(50,0,1,2,3,5,6,7,8)
	local hpnum=获取物品数量(g_hpname)
	local mpnum=获取物品数量(g_mpname)
	local buyhp=(hpnum<g_hpnum)
	local buymp=(mpnum<g_mpnum)
	if brepair or buyhp or buymp then
		移动到范围2("6",129,143,5)
		等待(1500)
		坐标对话(129,143)
		等待(1500)
		选择("@-1")
		等待(1500)
		if brepair then
			全部特修()
			等待(1500)
		end
		if buyhp then
			买(g_hpname,g_hpdrugnum-nHpDrugsNum,99,1500)
		end
		if buymp then
			买(g_mpname,g_mpdrugnum-nMpDrugsNum,99,1500)
		end
	end
	--买回城卷
	local hcnum=获取物品数量("回城卷")
	if hcnum<g_hcnum then
		移动到范围2("6",133,154,5)
		等待(1500)
		坐标对话(138,154)
		等待(1500)
		选择("@-1")
		等待(1500)
		买("回城卷",g_hcnum-hcnum,99,1500)
	end
	--去牛7
	移动到范围2("6",121,151,5)
	等待(1500)
	坐标对话(121,151)
	等待(1500)
	选择("@19")
	等待(1500)
	return 挂机()
end

function 挂机()
	开始挂机()
	使用物品("回城卷")
	等待(2000)
	return 回城()
end

--***********启动*****************

do
	设置环状挂机路线()
	添加挂机路线点2("D2079",20,19,5)
	添加挂机路线点2("D2079",86,84,5)
	添加挂机路线点2("D2079",85,19,5)
	添加挂机路线点2("D2079",20,84,5)
	local mapid=获取地图id()
	if mapid=="D2079" or mapid=="D2078" or mapid=="D2076" then
		挂机()
	else
		回城()
	end
end
